﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

using Triangulator.Geometry;
namespace gl
{
    class FileManager
    {

        static public void save(String filename, List<Point> points, string[] images)
        {
            // create a writer and open the file

            TextWriter tw = new StreamWriter(filename);

            tw.WriteLine(images[0]);
            tw.WriteLine(images[1]);
           

            foreach (Point p in points)
            {
                tw.Write(p.X + ";" + p.Y + ";" + p.Z + ";" + p.X1 + ";" + p.Y1 + "/");
            }
            tw.Close();

        }

        static public void load(String filename, List<Point> points,string[] images)
        {

            string dados;
            string[] linhas;
            string[] c;

            // create reader & open file
            TextReader tr = new StreamReader(filename);

            // read a line of text
            images[0] = tr.ReadLine();
            images[1] = tr.ReadLine();

            dados = tr.ReadToEnd();

            // close the stream
            tr.Close();

            points.Clear();
            
            linhas = dados.Split('/');
            foreach (string linha in linhas) {
                if (linha != "")
                {
                    c = linha.Split(';');
                    points.Add(new Point(
                        Convert.ToDouble(c[0]),
                        Convert.ToDouble(c[1]),
                        Convert.ToDouble(c[2]),
                        Convert.ToDouble(c[3]),
                        Convert.ToDouble(c[4])
                        ));
                }
                    
            }
           
        }

    }
}
